#****************************************************************************
#**
#**  File     :  /cdimage/units/UAA0107/UAA0107_script.lua
#**  Author(s):  John Comes
#**
#**  Summary  :  Aeon T1 Transport Script
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit

UAA0107 = Class(AAirUnit) {

    Weapons = {
    },
     OnStopBeingBuilt = function(self,builder,layer)
        AAirUnit.OnStopBeingBuilt(self,builder,layer)
        LOG('*ATTACHING UNITS TO TRANS!!')
        local position = self:GetPosition()
		
		self.Station01 = CreateUnitHPR('ual0106', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station01:AttachBoneTo(0, self, 'Attachpoint_Small_01')
		
		self.Station02 = CreateUnitHPR('ual0106', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station02:AttachBoneTo(0, self, 'Attachpoint_Small_02')
		
		self.Station03 = CreateUnitHPR('ual0106', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station03:AttachBoneTo(0, self, 'Attachpoint_Small_03')
		
		self.Station04 = CreateUnitHPR('ual0106', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station04:AttachBoneTo(0, self, 'Attachpoint_Small_04')
		
		self.Station05 = CreateUnitHPR('ual0106', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station05:AttachBoneTo(0, self, 'Attachpoint_Small_05')
		
		self.Station06 = CreateUnitHPR('ual0106', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station06:AttachBoneTo(0, self, 'Attachpoint_Small_06')
		AAirUnit.OnStopBeingBuilt(self,builder,layer)
    end,

}

TypeClass = UAA0107