#****************************************************************************
#**
#**  File     :  /cdimage/units/UAA0107/UAA0107_script.lua
#**  Author(s):  John Comes
#**
#**  Summary  :  Aeon T1 Transport Script
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SAirUnit = import('/lua/seraphimunits.lua').SAirUnit

XSA0107 = Class(SAirUnit) {

    Weapons = {
    },
    OnStopBeingBuilt = function(self,builder,layer)
        SAirUnit.OnStopBeingBuilt(self,builder,layer)
        LOG('*ATTACHING UNITS TO TRANS!!')
        local position = self:GetPosition()
		
		self.Station01 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station01:AttachBoneTo(0, self, 'Left_Attachpoint01')
		
		self.Station02 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station02:AttachBoneTo(0, self, 'Left_Attachpoint02')
		
		self.Station03 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station03:AttachBoneTo(0, self, 'Left_Attachpoint03')
		
		self.Station04 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station04:AttachBoneTo(0, self, 'Left_Attachpoint04')
		
		self.Station05 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station05:AttachBoneTo(0, self, 'Left_Attachpoint05')
		
		self.Station06 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station06:AttachBoneTo(0, self, 'Left_Attachpoint06')
		
		self.Station07 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station07:AttachBoneTo(0, self, 'Left_Attachpoint07')
		
		self.Station08 = CreateUnitHPR('xsl0101', self:GetArmy(), position.x, position.y, position.z, 0, 0, 0)
		self.Station08:AttachBoneTo(0, self, 'Left_Attachpoint08')
		SAirUnit.OnStopBeingBuilt(self,builder,layer)
    end,

}

TypeClass = XSA0107